Skip to main content
GET
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2026.0

Query Parameters

job_id
string
required

The unique identifier of the shuttle job whose path entries to list.

side
enum<string>
required

The side of the migration to browse.

Available options:
source,
target
path
string

The human-readable parent path whose children are returned. This can be used with or without path_id. Omit both, or pass / as path, to list root entries.

Minimum string length: 1
path_id
string

The path_id value of the parent entry whose children are returned. This can be used with or without path. It distinguishes paths with identical names on systems that support stable identifiers.

account_email
string

The email of the account whose path entries are returned. This is a system-native identifier and is not always an RFC 5322 address.

marker
string

Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.

This requires usemarker to be set to true.

limit
integer<int64>

The maximum number of items to return per page.

Required range: x <= 1000

Response

Returns a paginated list of shuttle path entries.

A paginated list of shuttle path entries.

entries
Shuttle path entry · object[]
required

A list of shuttle path entries.

limit
integer<int64>

The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.

Example:

1000

next_marker
string | null

The marker for the start of the next page of results.

Example:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"

prev_marker
string | null

The marker for the start of the previous page of results.

Example:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih"

Last modified on October 26, 2026